QGIS segfaults after removing table join
Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13751

Description

QGIS segfaults after removing table join and query the layer that was joined.

Steps to reproduce it:

- add vector

- add table

- add join from layer properties and query the layer

- remove the join from layer properties

- now if you query the layer it's all ok. But

- remove the table

- query the layer and now QGIS crashes

History

#1 - 2011-03-30 01:20 PM - Marco Hugentobler

query the layer

Do you mean with an expression in the attribute table query builder? Or with the infotool in the map?

#2 - 2011-03-30 02:42 PM - Luca Delucchi

Replying to [comment:2 mhugent]:

query the layer

Do you mean with an expression in the attribute table query builder? Or with the infotool in the map?

with pointer "Identify Features" http://trac.osgeo.org/qgis/browser/trunk/qgis/images/themes/default/mActionIdentify.png
#3 - 2011-03-31 04:48 AM - Anne Ghisla

I can reproduce the bug with QGIS commit:5a27a813 (SVN r15649), Fedora 14, a shapefile and a DBF table.

I also tried with "Cache join layer in virtual memory" unchecked, but QGIS segfaults nevertheless.

#4 - 2011-04-14 12:09 PM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:f42443c9 (SVN r15701)
